Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class UserResourceWrapperImpl

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.richfaces.resource.BaseResourceWrapper<org.richfaces.resource.UserResource>
                      org.richfaces.resource.UserResourceWrapperImpl

All Implemented Interfaces:
  javax.faces.component.StateHolder, javax.faces.FacesWrapper<org.richfaces.resource.UserResource>, org.richfaces.resource.CacheableResource, org.richfaces.resource.ContentProducerResource, org.richfaces.resource.VersionedResource

    public class UserResourceWrapperImpl

extends BaseResourceWrapper<org.richfaces.resource.UserResource>
implements org.richfaces.resource.ContentProducerResource

Author:
  Nick Belaevski

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`UserResourceWrapperImpl(org.richfaces.resource.UserResource resourceObject, boolean cacheable, boolean versioned)`

Method Summary
`void` | `encode(javax.faces.context.FacesContext context)`
`protected int` | `getContentLength(javax.faces.context.FacesContext context)`
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`
`protected java.util.Date` | `getLastModified(javax.faces.context.FacesContext context)` TODO optimize/review?
`protected java.util.Map<java.lang.String,java.lang.String>` | `getWrappedResourceResponseHeaders()`

Methods inherited from class org.richfaces.resource.BaseResourceWrapper
`getEntityTag, getExpires, getResponseHeaders, getTimeToLive, getVersion, getWrapped, isCacheable, isTransient, restoreState, saveState, setTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getRequestPath, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserResourceWrapperImpl

    public UserResourceWrapperImpl(org.richfaces.resource.UserResource resourceObject,
                                   boolean cacheable,
                                   boolean versioned)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in class `javax.faces.application.Resource`
  Throws:
    `java.io.IOException`

### getWrappedResourceResponseHeaders

    protected java.util.Map<java.lang.String,java.lang.String> getWrappedResourceResponseHeaders()

  Specified by:
    `getWrappedResourceResponseHeaders` in class `BaseResourceWrapper<org.richfaces.resource.UserResource>`

### getContentType

    public java.lang.String getContentType()

  Overrides:
    `getContentType` in class `javax.faces.application.Resource`

### getContentLength

    protected int getContentLength(javax.faces.context.FacesContext context)

  Overrides:
    `getContentLength` in class `AbstractBaseResource`

### getLastModified

    protected java.util.Date getLastModified(javax.faces.context.FacesContext context)

  Description copied from class: `AbstractBaseResource`
  TODO optimize/review?

  Overrides:
    `getLastModified` in class `AbstractBaseResource`
  Returns:
    Returns the lastModified.

### encode

    public void encode(javax.faces.context.FacesContext context)
                throws java.io.IOException

  Specified by:
    `encode` in interface `org.richfaces.resource.ContentProducerResource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.